%define name pkg-converter
%define version 0.1.0
%define release %mkrel 1

Summary:	Pkg Converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Packaging
License:	GPLv3
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	yad
Requires:   adwaita-icon-theme
Requires:   alien
Requires:   gksu
Obsoletes:	%name < %version

%description
A quick and simple drag & drop gui 
for converting debian to rpms

%prep

%setup -q

%make 

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
 --dir %buildroot%{_datadir}/applications \
%buildroot%{_datadir}/applications/*.desktop
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE
%_bindir/*
%_datadir/pixmaps/%{name}.png
%_datadir/pixmaps/dropin.png
%_datadir/applications/%{name}.desktop


%changelog
* Sun Dec 18 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- Create pkg

